semver-first-satisfied

    1.1.0 • Public • Published

    semver-first-satisfied

    Find minimum in an array of version that satisfies a semver range.

    Return the version string or null if no version in the arrya satisfy given range.

    Travis Build Status NPM module NPM downloads

    Installation

    npm install --save semver-first-satisfied

    Usage

      const firstSatisfied = require('semver-first-satisfied');
      console.log(firstSatisfied('^1.1.0', ['0.5.0', '1.1.4', '1.2.3', '1.1.1']));

    '1.1.1'

    License

    The MIT License (MIT)

    Copyright (c) 2015 parro-it

    Install

    npm i semver-first-satisfied

    DownloadsWeekly Downloads

    0

    Version

    1.1.0

    License

    MIT

    Last publish

    Collaborators

    • parroit